# Ogre::HardwarePixelBufferSharedPtr Class Reference

Shared pointer implementation used to share pixel buffers. More...

`#include <OgreHardwarePixelBuffer.h>`

Inheritance diagram for Ogre::HardwarePixelBufferSharedPtr:

List of all members.

## Public Member Functions

| HardwarePixelBufferSharedPtr ()
| HardwarePixelBufferSharedPtr (HardwarePixelBuffer *buf)
HardwarePixelBuffer & | operator * () const
HardwarePixelBuffer * | operator-> () const
HardwarePixelBuffer * | get () const
void | bind (HardwarePixelBuffer *rep)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwarePixelBuffer * | getPointer () const
bool | isNull (void) const
void | setNull (void)

## Protected Member Functions

void | release (void)
virtual void | destroy (void)

## Protected Attributes

HardwarePixelBuffer * | pRep
unsigned int * | pUseCount

## Detailed Description

Shared pointer implementation used to share pixel buffers.

Definition at line 173 of file OgreHardwarePixelBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( |  | ) |

| Definition at line 176 of file OgreHardwarePixelBuffer.h.

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( | HardwarePixelBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwarePixelBuffer >::bind | ( | HardwarePixelBuffer * | rep | ) | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 100 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwarePixelBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

| Definition at line 146 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::get | ( |  | ) | const`[inherited]`

| Definition at line 94 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::getPointer | ( |  | ) | const`[inherited]`

| Definition at line 112 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::isNull | ( | void |  | ) | const`[inherited]`

| Definition at line 114 of file OgreSharedPtr.h.

HardwarePixelBuffer & Ogre::SharedPtr< HardwarePixelBuffer >::operator * | ( |  | ) | const`[inherited]`

| Definition at line 92 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::operator-> | ( |  | ) | const`[inherited]`

| Definition at line 93 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::release | ( | void |  | ) | `[protected, inherited]`

| Definition at line 129 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::setNull | ( | void |  | ) | `[inherited]`

| Definition at line 116 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::unique | ( |  | ) | const`[inherited]`

| Definition at line 108 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwarePixelBuffer >::useCount | ( |  | ) | const`[inherited]`

| Definition at line 109 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

| Definition at line 110 of file OgreSharedPtr.h.

## Member Data Documentation

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::pRep `[protected, inherited]`

| Definition at line 46 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::pUseCount `[protected, inherited]`

| Definition at line 47 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwarePixelBuffer.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:56 2005